Subject: [bess] Shepherd's review of draft-ietf-bess-evpn-ac-df

From: <[email-masked]>
Date: Tue, 30 Jan 2018 09:35:03 +0000

Hi,

As shepherd of this document, please find below my comments.

IMO, this is a very useful proposal. The document is quite easy to understand with a good illustrated example.

Overall comments:
- I would encourage to have an acronym section containing all abbreviations and the associated expansion. That could be a good best practice.
- I'm wondering why this document intended status is Informational. It looks to fill a major (IMO) miss from the basic specification and I would be happy to see it as a standard track document. Even if there is no protocol extension involved, I think that standard track could make sense. Was this already discussed ?
- I'm not sure that we can say that this procedure is backward compatible. I agree that there is no protocol extension involved but as it is mentioned, we cannot mix PEs running the new procedure and PE running the old procedure. This must be ensured by the operator. Wouldn't it be better to add a flag/attribute to announce that a PE is capable to run this procedure ? Thus, when PEs run the svc carving algo, if they know that all the PEs are capable of this procedure, and they can all run it automatically. If there is one or more PE in the set that is not capable, they fallback to the regular procedure.
- I would be in favor of having of deployment considerations section that deals with the backward compatibility and how to deploy the solution.
- There are too much authors in the Author list. Would it be possible to reduce it ?

Problem statement: 
"an ES route withdrawn will make...".
[SLI] I have a doubt here, would it be "and ES route withdrawal will make" or "a withdrawn ES route" ?

Section 2.1
" After running the service-carving DF election algorithm"
[SLI] Could you mention that you refer to the existing algorithm from RFC7432 ?

Section 2.2/2.3:
- Would it be possible to collapse the two cases in a single procedure update ?
- I do not like to mix examples with a procedure update description. I would rather be in favor of focusing on what is changing compared to RFC7432. For instance, "The step 3 is changed as follows:". Keeping the example is really good, so after describing the procedure, it makes sense to run it through the example.

Brgds,

Stephane Litkowski 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: <[email-masked]>
Date: Tue, 30 Jan 2018 12:41:20 +0000

Hi again,

There is one point that I have missed.
Section 4 uses an old version of the requirement language. Please use the latest one:

The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
    "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
    "OPTIONAL" in this document are to be interpreted as described in BCP
    14 [RFC2119] [RFC8174] when, and only when, they appear in all
    capitals, as shown here.

-----Original Message-----
From: BESS [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 30, 2018 10:35
To: [email-masked]
Cc: [email-masked]
Subject: [bess] Shepherd's review of draft-ietf-bess-evpn-ac-df

Hi,

Overall comments:

Problem statement: 

Section 2.1

Section 2.2/2.3:

Brgds,

Stephane Litkowski 

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law; they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

_______________________________________________
BESS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bess

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Tue, 30 Jan 2018 15:19:51 +0000

Hi Stephane,

Thank you for your review.
Please see in-line and let me know what you think.
Thanks.

Jorge

-----Original Message-----
From: "[email-masked]" <[email-masked]>
Date: Tuesday, January 30, 2018 at 10:35 AM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Shepherd's review of draft-ietf-bess-evpn-ac-df
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, January 30, 2018 at 10:35 AM

    Hi,

[JORGE] that's good, thanks.
    
    Overall comments:

[JORGE] ok, done.

[JORGE] the reasons why the authors thought of Informational were because a) it does not define any protocol extension and b) it is backwards compatible with RFC7432, in the sense that a PE supporting this document and a PE supporting RFC7432 could be put in the same Ethernet Segment and it would all work (no loops or packet duplication). That may not necessarily be the case with more than 2 PEs. Nevertheless the document does not recommend to do it in any case. I am personally happy to change it to Standards Track if the rest of the co-authors and the WG don't have any issues with it.

[JORGE] As discussed above, we wanted to make it backwards compatible in a simple case. E.g. say PE1 and PE2 are in the same ES. PE1 supports this document and PE2 does not. In this case, link/node failures are covered by the baseline RFC7432. Logical AC failures don't change the RFC7432 overall behavior, for instance:
a) a logical AC failure on PE1, will not change the DF, just like in RFC7432.
b) a logical AC failure on PE2 makes PE1 take over, but, since PE2 can't forward traffic anyway, there are no loops/duplication and everything works. 

    - I would be in favor of having of deployment considerations section that deals with the backward compatibility and how to deploy the solution.
[JORGE] We can add the section and the above example to clarify the "backwards compatibility" concept.

    Problem statement: 
    "an ES route withdrawn will make...".
    [SLI] I have a doubt here, would it be "and ES route withdrawal will make" or "a withdrawn ES route" ?
[JORGE] fixed to "an ES route withdrawal". Thx.

    Section 2.1
[JORGE] done. Thanks.
    
    Section 2.2/2.3:

[JORGE] good point. I changed the text as follows:

   "For the specific case of VLAN-aware bundle services, the DF election
   will be influenced by the update/withdraw of "any" of the Ethernet A-
   D per EVI routes in the <ESI,EVI>. Step 5 and 6 in section 3.2 are
   therefore modified as follows:

   5. When electing the DF for a given EVI, a PE will not be considered
      candidate until "all" the Ethernet A-D per EVI routes for the
      <ESI,EVI> have been received from that PE. In other words, all the
      ACs on the <ESI,EVI> for a given PE must be UP so that the PE is
      considered as candidate for a given EVI.

   6. Once the PEs with missing Ethernet A-D per EVI routes for a given
      EVI have been eliminated from the candidate list, the DF Election
      can be applied for the remaining N candidates.

   For example, assuming three bridge tables in PE-1 for the same MAC-
   VRF (each one associated to a different Ethernet Tag), PE-1 will
   advertise three Ethernet A-D per EVI routes for <ESI12,EVI1>. Each of
   the three routes will indicate the status of each AC in <ESI12,EVI1>.
   PE-1 will be considered as a valid candidate PE for DF election as
   long as the three routes are active. If PE-1 withdraws one or more of
   the Ethernet A-D per EVI routes for <ESI12,EVI1>, the PEs in ESI12
   will not consider PE-1 as a suitable DF candidate for <ESI12,EVI1>."

    Brgds,

    Stephane Litkowski

---

From: <[email-masked]>
Date: Wed, 31 Jan 2018 08:39:06 +0000

Hi Jorge,

Thanks for your answers.
Pls find more inline [SLI2]

-----Original Message-----
From: Rabadan, Jorge (Nokia - US/Mountain View) [mailto:[email-masked]] 
Sent: Tuesday, January 30, 2018 16:20
To: LITKOWSKI Stephane OBS/OINIS; [email-masked]
Cc: [email-masked]
Subject: Re: Shepherd's review of draft-ietf-bess-evpn-ac-df

Hi Stephane,

Jorge

-----Original Message-----
From: "[email-masked]" <[email-masked]>
Date: Tuesday, January 30, 2018 at 10:35 AM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Shepherd's review of draft-ietf-bess-evpn-ac-df
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, January 30, 2018 at 10:35 AM

    Hi,

    
    Overall comments:

[JORGE] ok, done.

[JORGE] As discussed above, we wanted to make it backwards compatible in a simple case. E.g. say PE1 and PE2 are in the same ES. PE1 supports this document and PE2 does not. In this case, link/node failures are covered by the baseline RFC7432. Logical AC failures don't change the RFC7432 overall behavior, for instance:
a) a logical AC failure on PE1, will not change the DF, just like in RFC7432.
b) a logical AC failure on PE2 makes PE1 take over, but, since PE2 can't forward traffic anyway, there are no loops/duplication and everything works. 
[SLI2] Being backward compatible on a simple case is IMO not enough to declare the solution as backward compatible. As you mentioned if more than two PEs are involved, we can fall into issues and human care are required. I don't consider this as backward compatible.

    - I would be in favor of having of deployment considerations section that deals with the backward compatibility and how to deploy the solution.
[JORGE] We can add the section and the above example to clarify the "backwards compatibility" concept.
[SLI2] That's good thanks. We just need to agree on the content :)

    Problem statement: 

    Section 2.1
    
    Section 2.2/2.3:

[SLI2] Thanks for the proposal but it does not fully address my comment.
 My point was to try to make section 2.2 and 2.3 as an update of the section 8.5 of RFC7432 (which step in RFC7432 procedure is modified).
The text appears as redefining a full procedure while in reality only one step is modified.

    Brgds,

    Stephane Litkowski